Skip to main content

Create a Mandate Using a Redirect URL


This section describes how to set up a mandate using a redirect URL to verify the customer.

When you receive a successful response, save the sale request ID in the id response field to perform a follow-on check status request or cancellation request.

Calculating the Grand Total

Include the grand total in the request by using the orderInformation.amountDetails.totalAmount field.

Endpoints

POST /pts/v2/billing-agreements

POST /pts/v2/billing-agreements

See Endpoints for the full per-brand Server URLs reference.

Example

{    "clientReferenceInformation": {        "code": "001"    },    "processingInformation": {        "actionList": [            "BILLING_AGREEMENT_CREATE"        ]    },    "orderInformation": {        "invoiceDetails": {            "productDescription": "Mandate"        },        "amountDetails": {            "totalAmount": "120.00",            "currency": "AUD"        }    },    "paymentInformation": {        "paymentType": {            "name": "bankTransfer",            "method": {                "name": "payToPayByBank"            }        }    },    "agreementInformation": {        "type": "oneoff",        "frequency": "monthly",        "occurencesPerPeriod": 1,        "startDate": "20251211",        "endDate": "20271212"    }}
{    "processorInformation": {        "responseCode": "00001",        "transactionId": "e34cc828a8ed4a8495c80f2cdae23fa9"    },    "clientReferenceInformation": {        "code": "001"    },    "agreementInformation": {        "url": "https://mandates.banked.com/au/mandate/e9b4eed7-8bef-4a7f-9ba7",        "dateCreated": "20260113",        "id": "KOZWBJ6NS25R"    },    "message": "Request was processed successfully.",    "status": "PENDING",    "id": "7682677149336821004807",    "submitTimeUtc": "2026-01-13T17:07:55Z"}
FieldTypeDescription
agreementInformation.endDate
agreementInformation.frequencySet to annual, monthly, quarterly, weekly, daily, adhoc, or fortnightly.
agreementInformation.occurencesPerPeriod
agreementInformation.startDate
agreementInformation.typeSet to recurring, oneoff, split, or usage.
clientReferenceInformation.code
orderInformation.amountDetails.currencySet to AUD.
orderInformation.amountDetails.totalAmount
orderInformation.invoiceDetails.productDescription
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to BILLING_AGREEMENT_CREATE.

If needed, include any of these optional line item fields in the request:

Optional Fields
FieldTypeDescription
merchantInformation.cancelUrl
merchantInformation.failureUrl
merchantInformation.successUrl
orderInformation.billTo.address1
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.county
orderInformation.billTo.district
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
orderInformation.billTo.title

Response Fields

The agreementInformation.url response field contains the URL to redirect the customer to complete the mandate on their bank's website:

"url": "https://mandates.banked.com/au/mandate/e9b4eed7-8bef-4a7f-9ba7"

Save the request ID in the id field from the sale response. Include the request ID in a check status request to confirm that the payment is complete:

"id": "7682677149336821004807"

When the sale amount is processed, sends a SETTLED webhook notification. See Webhooks. If you do not receive a webhook notification, send a check status request. See Check Status.

Last published: September 29, 2026